%global python3_pkgversion 3.11
%global pypi_name jaraco-functools
%global srcname jaraco_functools
%global pypi_version 4.1.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Functools like those found in stdlib

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/jaraco/jaraco.functools
Source:         %{pypi_source}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools >= 56
BuildRequires:  python%{python3_pkgversion}-setuptools_scm >= 3.4.1
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-more-itertools
BuildRequires:  python%{python3_pkgversion}-jaraco-classes
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Additional functools in the spirit of stdlib's functools..}

%description %_description

%package -n     python%{python3_pkgversion}-jaraco-functools
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-more-itertools

%description -n python%{python3_pkgversion}-jaraco-functools %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pytest


%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{python3_sitelib}/jaraco
%{python3_sitelib}/jaraco.functools-%{pypi_version}.dist-info


%changelog
* Fri Feb 21 2025 Carlos Heiras <carlos.heiras@oracle.com> - 4.1.0-1
- Initial release
